/********************************************************************
 *                    COPYRIGHT LIP6 2014
 *-----------------------------------------------------------------*/
/** 
 * @file    video_codec.v
 * @brief   Performs Video Compression and Downscaled raw video bypass
 *
 * This module receives the RAW video data from Frame Grabber via AvalonST sink. It performs Video Compression and Downscaled RAW video bypass (for live preview),
 * it adds time-stamp to the video frames that is received via AvalonST sink from synchro module. It transmitts the RAW and Compressed Data to stream merger via AvalonST sources
 *
 * @author  S. Z. Ahmed 	<syed-zahid.ahmed@lip6.fr>
 * @author  L. Lambert  	<laurent.lambert@lip6.fr>
 * @date    Fri. 28 Feb. 2014
 * 
 * Revision History
 * @version  V1.0  Fri. 28 Feb. 2014 {Initial Arch.: Template file created with qsys gui}
 *
 *******************************************************************/

`timescale 1 ps / 1 ps
module video_codec #(
		parameter AUTO_CLOCK_CLOCK_RATE = "-1"
	) (
		input  wire        clk,                //     clock.clk
		input  wire        reset,              //     reset.reset
		input  wire [7:0]  avs_ctrl_address,     //      ctrl.address
		input  wire        avs_ctrl_read,        //          .read
		output wire [31:0] avs_ctrl_readdata,    //          .readdata
		input  wire        avs_ctrl_write,       //          .write
		input  wire [31:0] avs_ctrl_writedata,   //          .writedata
		output wire        avs_ctrl_waitrequest, //          .waitrequest
		input  wire [31:0] asi_raw_video_data,       // raw_video.data
		output wire        asi_raw_video_ready,      //          .ready
		input  wire        asi_raw_video_valid,      //          .valid
		input  wire        aso_raw_video_ds_ready,     //      raw_video_ds.ready
		output wire        aso_raw_video_ds_valid,     //          .valid
		output wire [31:0] aso_raw_video_ds_data,       //          .data
		input  wire        aso_comp_video_ready,     //      comp_video.ready
		output wire        aso_comp_video_valid,     //          .valid
		output wire [31:0] aso_comp_video_data,       //          .data
		input  wire [31:0] asi_ts_data,       //        ts.data
		output wire        asi_ts_ready,      //           .ready
		input  wire        asi_ts_valid      //           .valid
	);

	// TODO: Auto-generated HDL template

	assign avs_s0_waitrequest = 1'b0;

	assign avs_s0_readdata = 32'b00000000000000000000000000000000;

	assign asi_in0_ready = 1'b0;

	assign aso_out0_valid = 1'b0;

	assign aso_out0_data = 32'b00000000000000000000000000000000;

endmodule
